Index: svn/src/Kconfig
===================================================================
--- svn.orig/src/Kconfig
+++ svn/src/Kconfig
@@ -44,14 +44,6 @@ config PCI_BUS_SEGN_BITS
 	bool
 	default n
 
-config HT_CHAIN_UNITID_BASE
-	hex
-	default 0x1
-
-config HT_CHAIN_END_UNITID_BASE
-	hex
-	default 0x20
-
 config MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID
 	hex
 	default 0
Index: svn/src/devices/Kconfig
===================================================================
--- svn.orig/src/devices/Kconfig
+++ svn/src/devices/Kconfig
@@ -79,7 +79,7 @@ config PCI_64BIT_PREF_MEM
 
 config HYPERTRANSPORT_PLUGIN_SUPPORT
 	bool
-	default y
+	default n
 
 config PCIX_PLUGIN_SUPPORT
 	bool
Index: svn/src/devices/Makefile.inc
===================================================================
--- svn.orig/src/devices/Makefile.inc
+++ svn/src/devices/Makefile.inc
@@ -2,7 +2,9 @@ obj-y += device.o
 obj-y += root_device.o
 obj-y += device_util.o
 obj-y += pci_device.o
-obj-y += hypertransport.o
+ifdef CONFIG_HT_CHAIN_UNITID_BASE
+	obj-y += hypertransport.o
+endif
 obj-y += pcix_device.o
 obj-y += pciexp_device.o
 obj-y += agp_device.o
Index: svn/src/mainboard/asus/m2v-mx_se/Kconfig
===================================================================
--- svn.orig/src/mainboard/asus/m2v-mx_se/Kconfig
+++ svn/src/mainboard/asus/m2v-mx_se/Kconfig
@@ -108,7 +108,6 @@ config HAVE_ACPI_TABLES
 	default y
 	depends on BOARD_ASUS_M2V_MX_SE
 
-
 config LB_CKS_RANGE_END
 	int
 	default 122
@@ -119,3 +118,23 @@ config LB_CKS_LOC
 	default	123
 	depends	on BOARD_ASUS_M2V_MX_SE
 
+config HT_CHAIN_UNITID_BASE
+	hex
+	default 0x0
+	depends on BOARD_ASUS_M2V_MX_SE
+
+config SB_HT_CHAIN_UNITID_OFFSET_ONLY
+	hex
+	default 0x0
+	depends on BOARD_ASUS_M2V_MX_SE
+
+config SB_HT_CHAIN_ON_BUS0
+	hex
+	default 0x1
+	depends on BOARD_ASUS_M2V_MX_SE
+
+config HT_CHAIN_END_UNITID_BASE
+	hex
+	default 0x20
+	depends on BOARD_ASUS_M2V_MX_SE
+
